summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorWill Holland <william.holland@codethink.co.uk>2015-09-18 18:11:06 +0100
committerWill Holland <william.holland@codethink.co.uk>2015-09-18 18:11:06 +0100
commit880bbebd3d3529cece81925db5be860662ae0e80 (patch)
treee7ec43949d1e83b3b5ea5f32664a6ff10f4e22ad /setup.sh
downloadciat-slave-880bbebd3d3529cece81925db5be860662ae0e80.tar.gz
Initial commit
Install and run a buildbot slave in a virtualenv
Diffstat (limited to 'setup.sh')
-rw-r--r--setup.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100644
index 0000000..b60cfae
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -ex
+SLAVENAME="x86_32_slave"
+PASSWORD=pass
+virtualenv --no-site-packages slavenv
+sed -i "s/SLAVENAME/$SLAVENAME/" start
+cd slavenv
+./bin/pip install buildbot-slave
+./bin/buildslave create-slave --umask=022 -r $SLAVENAME localhost:9989 $SLAVENAME $PASSWORD